Bug 883597 - abrt won't open a new bug when existing bug report is for an end of life
abrt won't open a new bug when existing bug report is for an end of life
Status: CLOSED DUPLICATE of bug 863667
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 18:21 EST by Stuart D Gathman
Modified: 2012-12-08 10:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-08 10:33:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2012-12-04 18:21:02 EST
Description of problem:
When abrt finds a bug already reported, but the existing report is closed with WONT_FIX because of EOL, it will not open a new report.

Version-Release number of selected component (if applicable):
abrt-2.0.18-1.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. Get a core dump reported for an EOL version, e.g. bug#720467
2. abrt won't open a bug for current fedora version
3.
  
Actual results:
No way to reopen bug for new Fedora version.

Expected results:
Some way to reopen bug for new Fedora version using abrt - maybe as simple as submitting collected info to a manually entered bug#.

Additional info:
Comment 1 Stuart D Gathman 2012-12-05 10:57:59 EST
If creating a new bug will be automatic, abrt only needs to know whether its own Fedora version is EOL.  That can be a static configuration supplied as part of the RPM.  Then, the logic should be: if the existing bug is for an EOL Fedora, and Fedora of abrt is not EOL, then ignore the existing bug.
Comment 2 Stuart D Gathman 2012-12-05 11:03:59 EST
Come to think of it, some RPM already has the EOL configured, because I get a notifier from Gnome after EOL advising me to upgrade.
Comment 3 Jakub Filak 2012-12-08 10:33:55 EST
Thank you for the bug report. This particular bug has already been reported, but please feel free to report any further bugs you find.

*** This bug has been marked as a duplicate of bug 863667 ***

Note You need to log in before you can comment on or make changes to this bug.